> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an employment history report for a link

> The endpoint returns the VOE report for a link



## OpenAPI

````yaml GET /v1/links/{link_id}/employment/report/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/links/{link_id}/employment/report/:
    parameters:
      - name: link_id
        in: path
        required: true
        schema:
          type: string
        example: 24d7e80942ce4ad58a93f70ce4115f5c
    get:
      tags:
        - Reports
      summary: Retrieve an employment history report for a link
      description: The endpoint returns the VOE report for a link
      operationId: link_detail_reports_employment
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmploymentCheck'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    EmploymentCheck:
      required:
        - id
        - status
        - access_token
        - provider
        - tracking_info
        - employments
        - completed_at
        - finished_at
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        status:
          description: '[Request status](https://docs.truv.com/reference/task-livecycle)'
          type: string
          example: new
        finished_at:
          description: Time when report was finished
          type: string
          example: '2021-04-06T11:30:00Z'
        completed_at:
          description: >-
            Time when report was completed **(Deprecated, invalid datetime
            format)**
          type: string
          example: '2021-04-06 11:30:00+00:00'
        access_token:
          description: Access token for a Link to payroll provider
          type: string
          example: 48427a36d43c4d5aa6324bc06c692456
        tracking_info:
          description: Any information passed to the Truv Bridge from a partner
          type: string
          nullable: true
          example: user123456
        is_suspicious:
          description: >-
            Flag to indicate if the data from the source is suspicious. E.g.
            fraud detected in uploaded documents or SSN of the user does not
            match with the data
          type: boolean
        employments:
          description: List of employments received from a payroll provider
          type: array
          items:
            $ref: '#/components/schemas/Employment'
          readOnly: true
        pdf_report:
          description: Verification report in PDF format
          type: string
          format: uri
          example: https://cdn.truv.com/report.pdf
        provider:
          description: Payroll provider name
          type: string
          example: adp
        data_source:
          description: >-
            Source of data: crawler - payroll provider parsing, docs - user
            uploaded documents
          type: string
          enum:
            - payroll
            - docs
            - financial_accounts
          example: payroll
      description: Data for the employment verification
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    Employment:
      required:
        - id
        - profile
        - company
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        is_active:
          description: Indicates whether the employment is still active
          type: boolean
          example: false
        job_title:
          description: Employee's job title
          type: string
          example: PR associate
        job_type:
          description: |+

            Employee's job type:

            * `F` - Full Time,
            * `P` - Part Time,
            * `S` - Seasonal,
            * `D` - Daily (per diem),
            * `C` - Contract,
            * `V` - Volunteer

          type: string
          example: F
          enum:
            - F
            - P
            - S
            - D
            - C
            - V
        start_date:
          description: Employee's hire date
          type: string
          format: date
          example: '2018-01-01'
        original_hire_date:
          description: Original hire date
          type: string
          format: date
          example: '2017-06-21'
        end_date:
          description: Employee's end date
          type: string
          format: date
        external_last_updated:
          description: >-
            Indicates the date when employment data was last updated on the
            Payroll Provider side
          type: string
          format: date
        dates_from_statements:
          description: >-
            Indicates whether or not the Employee's hire and/or end dates were
            derived from first/last pay statements **(Deprecated)**
          type: boolean
          example: false
        derived_fields:
          description: Array of derived fields
          type: array
          items:
            type: string
          example:
            - is_active
        missing_data_fields:
          description: >-
            List of the data fields which are missing in the payroll API
            response
          type: array
          items:
            type: string
          example:
            - w2s
        manager_name:
          description: Supervisor's name
          type: string
          nullable: true
          example: Jenny McDouglas
        profile:
          $ref: '#/components/schemas/Profile'
        company:
          $ref: '#/components/schemas/Company'
      description: Employment data
    Profile:
      required:
        - first_name
        - last_name
      type: object
      properties:
        id:
          description: ID of the object
          type: string
          example: 48427a36d43c4d5aa6324bc06c692456
        created_at:
          description: Person's identity info was retrieved first time (ISO 8601)
          type: string
          example: '2022-06-07T15:00:00Z'
        updated_at:
          description: Person's identity info was retrieved last time (ISO 8601)
          type: string
          example: '2022-06-30T15:00:00Z'
        first_name:
          description: First name
          type: string
          example: John
        last_name:
          description: Last name
          type: string
          example: Doe
        full_name:
          description: Full name
          type: string
          example: John Doe
        middle_initials:
          description: Middle initials
          type: string
          example: K
          nullable: true
        email:
          description: Email address
          type: string
          format: email
          nullable: true
          example: john.doe@example.com
        ssn:
          description: Social security number (Full or last 4 digits)
          type: string
          example: '123456789'
        date_of_birth:
          description: Date of birth
          type: string
          format: date
          nullable: true
          example: '1992-03-03'
        home_address:
          description: Home address
          nullable: true
          type: object
          properties:
            street:
              description: Street
              type: string
              example: 1 Morgan Ave
            city:
              description: City
              type: string
              example: Los Angeles
            state:
              description: State
              type: string
              example: CA
            zip:
              description: Zip code
              type: string
              example: '90210'
            country:
              description: Country
              type: string
              example: US
      description: Person's identity information
    Company:
      required:
        - name
        - address
      type: object
      properties:
        name:
          description: Company name
          type: string
          example: Facebook Demo
        address:
          description: Company address
          type: object
          properties:
            street:
              description: Street
              type: string
              example: 1 Morgan Ave
            city:
              description: City
              type: string
              example: Los Angeles
            state:
              description: State
              type: string
              example: CA
            zip:
              description: Zip code
              type: string
              example: '90210'
            country:
              description: Country
              type: string
              example: US
        phone:
          description: Company phone number
          type: string
          nullable: true
          example: '6503087300'
        ein:
          description: Employer Identification Number  (EIN)
          type: string
          nullable: true
          example: 12-345678
      description: Company information
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````